Search
  • IPG

Cisco Small Business RV Series Routers Vulnerabilities


Summary

Multiple vulnerabilities in Cisco Small Business RV160, RV260, RV340, and RV345 Series Routers could allow an attacker to do any of the following:


Execute arbitrary code

Elevate privileges

Execute arbitrary commands

Bypass authentication and authorization protections

Fetch and run unsigned software

Cause denial of service (DoS)

For more information about these vulnerabilities, see the Details section of this advisory.


Cisco has released software updates that address these vulnerabilities. There are no workarounds that address these vulnerabilities.


This advisory is available at the following link:

https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-smb-mult-vuln-KA9PK6D


Affected Products

Vulnerable Products

CVE-2022-20700, CVE-2022-20702, CVE-2022-20703, CVE-2022-20704, CVE-2022-20705 and CVE-2022-20706 affect the following Cisco products:


RV160 VPN Routers

RV160W Wireless-AC VPN Routers

RV260 VPN Routers

RV260P VPN Routers with PoE

RV260W Wireless-AC VPN Routers

RV340 Dual WAN Gigabit VPN Routers

RV340W Dual WAN Gigabit Wireless-AC VPN Routers

RV345 Dual WAN Gigabit VPN Routers

RV345P Dual WAN Gigabit POE VPN Routers

CVE-2022-20699, CVE-2022-20701, CVE-2022-20707, CVE-2022-20708, CVE-2022-20709, CVE-2022-20710, CVE-2022-20711, CVE-2022-20712 and CVE-2022-20749 affect only the following Cisco products:


RV340 Dual WAN Gigabit VPN Routers

RV340W Dual WAN Gigabit Wireless-AC VPN Routers

RV345 Dual WAN Gigabit VPN Routers

RV345P Dual WAN Gigabit POE VPN Routers

For information about which Cisco software releases are vulnerable, see the Fixed Software section of this advisory.


Products Confirmed Not Vulnerable

Only products listed in the Vulnerable Products section of this advisory are known to be affected by these vulnerabilities.


Details

Some of the vulnerabilities are dependent on one another. Exploitation of one of the vulnerabilities may be required to exploit another vulnerability.


Details about the vulnerabilities are as follows:


CVE-2022-20699: Cisco RV340, RV340W, RV345, and RV345P Dual WAN Gigabit VPN Routers SSL VPN Remote Code Execution Vulnerability


A vulnerability in the SSL VPN module of Cisco Small Business RV340, RV340W, RV345, and RV345P Dual WAN Gigabit VPN Routers could allow an unauthenticated, remote attacker to execute arbitrary code on an affected device.


This vulnerability is due to insufficient boundary checks when processing specific HTTP requests. An attacker could exploit this vulnerability by sending malicious HTTP requests to the affected device that is acting as an SSL VPN Gateway. A successful exploit could allow the attacker to execute code with root privileges on the affected device.


Bug ID(s): CSCwa13836

CVE ID: CVE-2022-20699

Security Impact Rating (SIR): Critical

CVSS Base Score: 10.0

CVSS Vector: CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:C/C:H/I:H/A:H


CVE-2022-20700, CVE-2022-20701, CVE-2022-20702: Cisco Small Business RV Series Routers Privilege Escalation Vulnerabilities


Multiple vulnerabilities in the web-based management interface of Cisco Small Business RV Series Routers could allow a remote attacker to elevate privileges to root.


These vulnerabilities are due to insufficient authorization enforcement mechanisms. An attacker could exploit these vulnerabilities by submitting specific commands to an affected device. A successful exploit could allow the attacker to elevate privileges to root and execute arbitrary commands on the affected system.


Cisco has released software updates that address these vulnerabilities. There are no workarounds that address this these vulnerabilities.


Bug ID(s): CSCwa14564, CSCwa14565

CVE ID: CVE-2022-20700

Security Impact Rating (SIR): Critical

CVSS Base Score: 10.0

CVSS Vector: CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:C/C:H/I:H/A:H


Bug ID(s): CSCwa12836

CVE ID: CVE-2022-20701

Security Impact Rating (SIR): Critical

CVSS Base Score: 9.0

CVSS Vector: CVSS:3.1/AV:L/AC:L/PR:N/UI:N/S:C/C:H/I:H/A:N


Bug ID(s): CSCwa15167, CSCwa15168

CVE ID: CVE-2022-20702

Security Impact Rating (SIR): Medium

CVSS Base Score: 6.0

CVSS Vector: CVSS:3.1/AV:L/AC:L/PR:H/UI:N/S:U/C:H/I:H/A:N


CVE-2022-20703: Cisco Small Business RV Series Routers Digital Signature Verification Bypass Vulnerability


A vulnerability in the software image verification feature of Cisco Small Business RV Series Routers could allow an unauthenticated, local attacker to install and boot a malicious software image or execute unsigned binaries on an affected device.


This vulnerability is due to improper verification of software images as they are installed on an affected device. An attacker could exploit this vulnerability by loading unsigned software on the device. A successful exploit could allow the attacker to install and boot a malicious software image or execute unsigned binaries on the device.


Cisco has released software updates that address this vulnerability. There are no workarounds that address this vulnerability.


Bug ID(s): CSCwa12748, CSCwa13115

CVE ID: CVE-2022-20703

Security Impact Rating (SIR): Critical

CVSS Base Score: 9.3

CVSS Vector: CVSS:3.1/AV:L/AC:L/PR:N/UI:N/S:C/C:H/I:H/A:H


CVE-2022-20704: Cisco Small Business RV Series Routers SSL Certificate Validation Vulnerability


A vulnerability in the software upgrade module of Cisco Small Business RV Series Routers could allow an unauthenticated, remote attacker to view or alter information that is shared between an affected device and specific Cisco servers (cloudsso.cisco.com and api.cisco.com).


This vulnerability is due to improper validation of the SSL server certificate that is received when establishing a connection to specific remote servers. An attacker could exploit this vulnerability by using man-in-the-middle techniques to intercept the traffic between the affected device and the server, and then using a forged certificate to impersonate the server. A successful exploit could allow the attacker to force the affected device to download arbitrary software images and launch further attacks, combining other vulnerabilities that are described in this advisory.


Cisco has released software updates that address this vulnerability. There are no workarounds that address this vulnerability.


Bug ID(s): CSCwa13205, CSCwa13682

CVE ID: CVE-2022-20704

Security Impact Rating (SIR): Medium

CVSS Base Score: 4.8

CVSS Vector: CVSS:3.1/AV:N/AC:H/PR:N/UI:N/S:U/C:L/I:L/A:N


CVE-2022-20705: Cisco Small Business RV Series Routers Improper Session Management Vulnerability


A vulnerability in the session management of the web UI of Cisco Small Business RV Series Routers could allow an unauthenticated, remote attacker to defeat authentication protections and access the web UI. The attacker could obtain partial administrative privileges and perform unauthorized actions.


This vulnerability is due to the use of weak entropy for session identifier generation functions. An attacker could exploit this vulnerability either by using brute force to determine a current session identifier and then reusing the identifier to take over an ongoing session or by crafting a new, valid session identifier and bypassing the whole authentication mechanism. A successful exploit could allow the attacker to take actions within the web UI with privileges up to the level of the administrative user and launch further attacks, exploiting the other vulnerabilities described in this advisory.


Cisco has released software updates that address this vulnerability. There are no workarounds that address this vulnerability.


Bug ID(s): CSCwa14602, CSCwa32432

CVE ID: CVE-2022-20705

Security Impact Rating (SIR): High

CVSS Base Score: 5.3

CVSS Vector: CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:L/A:N


CVE-2022-20706: Cisco RV Series Routers Open Plug and Play Command Injection Vulnerability


A vulnerability in the Open Plug and Play (PnP) module of Cisco Small Business RV Series Routers could allow an unauthenticated, remote attacker to inject and execute arbitrary commands on the underlying operating system.


This vulnerability is due to insufficient validation of user-supplied input. An attacker could exploit this vulnerability by sending malicious input to an affected device. A successful exploit could allow the attacker to execute arbitrary commands on the underlying Linux operating system. To exploit this vulnerability, an attacker must leverage a man-in-the-middle position or have an established foothold on a specific network device that is connected to the vulnerable router.


Cisco has released software updates that address this vulnerability. There are no workarounds that address this this vulnerability.


Bug ID(s): CSCwa14007, CSCwa14008

CVE ID: CVE-2022-20706

Security Impact Rating (SIR): High

CVSS Base Score: 8.3

CVSS Vector: CVSS:3.1/AV:N/AC:H/PR:N/UI:R/S:C/C:H/I:H/A:H


CVE-2022-20707, CVE-2022-20708, CVE-2022-20749: Cisco RV340, RV340W, RV345, and RV345P Dual WAN Gigabit VPN Routers Command Injection Vulnerabilities


Multiple vulnerabilities in the web-based management interface of Cisco Small Business RV340, RV340W, RV345, and RV345P Dual WAN Gigabit VPN Routers could allow an unauthenticated, remote attacker to inject and execute arbitrary commands on the underlying operating system.


These vulnerabilities are due to insufficient validation of user-supplied input. An attacker could exploit these vulnerabilities by sending malicious input to an affected device. A successful exploit could allow the attacker to execute arbitrary commands on the underlying Linux operating system.


Cisco has released software updates that address these vulnerabilities. There are no workarounds that address this these vulnerabilities.


Bug ID(s): CSCwa13900

CVE ID: CVE-2022-20708

Security Impact Rating (SIR): Critical

CVSS Base Score: 10.0

CVSS Vector: CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:C/C:H/I:H/A:H


Bug ID(s): CSCwa12732

CVE ID: CVE-2022-20707

Security Impact Rating (SIR): High

CVSS Base Score: 7.3

CVSS Vector: CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:L/A:L


Bug ID(s): CSCwa36774

CVE ID: CVE-2022-20749

Security Impact Rating (SIR): High

CVSS Base Score: 7.3

CVSS Vector: CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:L/A:L


CVE-2022-20709: Cisco RV340, RV340W, RV345, and RV345P Dual WAN Gigabit VPN Routers Arbitrary File Upload Vulnerability


A vulnerability in the web-based management interface of Cisco RV340, RV340W, RV345, and RV345P Dual WAN Gigabit VPN Routers could allow an unauthenticated, remote attacker to upload arbitrary files to an affected device.


This vulnerability is due to insufficient authorization enforcement mechanisms in the context of file uploads. An attacker could exploit this vulnerability by sending a crafted HTTP request to an affected device. A successful exploit could allow the attacker to upload arbitrary files to the affected device.


Cisco has released software updates that address this vulnerability. There are no workarounds that address this vulnerability.


Bug ID(s): CSCwa13882

CVE ID: CVE-2022-20709

Security Impact Rating (SIR): Medium

CVSS Base Score: 5.3

CVSS Vector: CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:L/A:N


CVE-2022-20710: Cisco Small Business RV Series Routers GUI Denial of Service Vulnerability


A vulnerability in the internal interprocess communication of Cisco Small Business RV Series Routers could allow an unauthenticated, remote attacker to cause a denial of service (DoS) condition in the login functionality of the web-based management interface.


This vulnerability is due to erroneously handled exceptions during failed login attempts. An attacker could exploit this vulnerability by submitting a crafted HTTP packet to an affected device. A successful exploit could allow the attacker to prevent users from logging in to the affected device. Successful exploitation of this vulnerability would not impact users who are already logged in.


Cisco has released software updates that address this vulnerability. There are no workarounds that address this vulnerability.


Bug ID(s): CSCvz88279, CSCvz94704

CVE ID: CVE-2022-20710

Security Impact Rating (SIR): Medium

CVSS Base Score: 5.3

CVSS Vector: CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:L


CVE-2022-20711: Cisco RV340, RV340W, RV345, and RV345P Dual WAN Gigabit VPN Routers Arbitrary File Overwrite Vulnerability


A vulnerability in the web UI of Cisco RV340, RV340W, RV345, and RV345P Dual WAN Gigabit VPN Routers could allow an unauthenticated, remote attacker to overwrite certain files on an affected device.


This vulnerability is due to insufficient input validation for specific components of the web UI. An attacker could exploit this vulnerability by sending crafted HTTP requests to an affected device. A successful exploit could allow the attacker to overwrite existing files or exfiltrate confidential data by tampering with the files that are served by the web UI process.


Cisco has released software updates that address this vulnerability. There are no workarounds that address this vulnerability.


Bug ID(s): CSCwa13888

CVE ID: CVE-2022-20711

Security Impact Rating (SIR): High

CVSS Base Score: 8.2

CVSS Vector: CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:L/A:N


CVE-2022-20712: Cisco Small Business RV Series Routers Upload Module Remote Code Execution Vulnerability


A vulnerability in the upload module of Cisco Small Business RV Series Routers could allow an unauthenticated, remote attacker to execute arbitrary code on an affected device.


This vulnerability is due to insufficient boundary checks when processing specific HTTP requests. An attacker could exploit this vulnerability by sending malicious HTTP requests to an affected device. A successful exploit could allow the attacker to execute code with non-root privileges on the device.


Cisco has released software updates that address this vulnerability. There are no workarounds that address this vulnerability.


Bug ID(s): CSCwa18770

CVE ID: CVE-2022-20712

Security Impact Rating (SIR): High

CVSS Base Score: 7.3

CVSS Vector: CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:L/A:L


Workarounds

There are no workarounds that address these vulnerabilities.


Fixed Software

Cisco has released free software updates that address the vulnerabilities described in this advisory. Customers with service contracts that entitle them to regular software updates should obtain security fixes through their usual update channels.


Customers may only install and expect support for software versions and feature sets for which they have purchased a license. By installing, downloading, accessing, or otherwise using such software upgrades, customers agree to follow the terms of the Cisco software license:

https://www.cisco.com/c/en/us/products/end-user-license-agreement.html


Additionally, customers may only download software for which they have a valid license, procured from Cisco directly, or through a Cisco authorized reseller or partner. In most cases this will be a maintenance upgrade to software that was previously purchased. Free security software updates do not entitle customers to a new software license, additional software feature sets, or major revision upgrades.


The Cisco Support and Downloads page on Cisco.com provides information about licensing and downloads. This page can also display customer device support coverage for customers who use the My Devices tool.


When considering software upgrades, customers are advised to regularly consult the advisories for Cisco products, which are available from the Cisco Security Advisories page, to determine exposure and a complete upgrade solution.


In all cases, customers should ensure that the devices to be upgraded contain sufficient memory and confirm that current hardware and software configurations will continue to be supported properly by the new release. If the information is not clear, customers are advised to contact the Cisco Technical Assistance Center (TAC) or their contracted maintenance providers.


Customers Without Service Contracts

Customers who purchase directly from Cisco but do not hold a Cisco service contract and customers who make purchases through third-party vendors but are unsuccessful in obtaining fixed software through their point of sale should obtain upgrades by contacting the Cisco TAC: https://www.cisco.com/c/en/us/support/web/tsd-cisco-worldwide-contacts.html


Customers should have the product serial number available and be prepared to provide the URL of this advisory as evidence of entitlement to a free upgrade.


Fixed Releases

Customers are advised to upgrade to an appropriate fixed software release as indicated in the following table(s):


Cisco Product Vulnerable Releases First Fixed Release

RV160 and RV260 Series Routers 1.0.01.05 and earlier 1.0.01.07

RV340 and RV345 Series Routers 1.0.03.24 and earlier 1.0.03.26

The Cisco Product Security Incident Response Team (PSIRT) validates only the affected and fixed release information that is documented in this advisory.


Exploitation and Public Announcements

The Cisco PSIRT is aware that proof-of-concept exploit code is available for several of the vulnerabilities that are described in this advisory.


Source

Cisco would like to thank the following individuals and teams who worked with Trend Micro’s Zero Day Initiative for reporting these vulnerabilities:


Benjamin Grap, Hanno Heinrichs, and Lukas Kupczyk of CrowdStrike Intelligence: CVE-2022-20701, CVE-2022-20705, CVE-2022-20707

Bien Pham (@bienpnn) from Team Orca of Sea Security: CVE-2022-20703, CVE-2022-20705, CVE-2022-20707

The Flashback Team - Pedro Ribeiro (@pedrib1337) and Radek Domanski (@RabbitPro): CVE-2022-20699

Gaurav Baruah: CVE-2022-20703, CVE-2022-20704

Jeongun Baek of Diffense: CVE-2022-20702, CVE-2022-20705, CVE-2022-20707

Stephen Fewer of Relyze Software: CVE-2022-20700, CVE-2022-20705, CVE-2022-20707, CVE-2022-20712

Q. Kaiser of IoT Inspector Research Lab: CVE-2022-20705, CVE-2022-20708, CVE-2022-20709, CVE-2022-20711

trichimtrich and nyancat0131: CVE-2022-20706

Corentin BAYET (@OnlyTheDuck) from @Synacktiv: CVE-2022-20705, CVE-2022-20707

CVE-2022-20705: Cisco would also like to thank dcmtruman for reporting this vulnerability.


CVE-2022-20749: Cisco would also like to thank dcmtruman and serua for reporting this vulnerability.


CVE-2022-20710: This vulnerability was found by Mike Steinkoenig of Cisco during internal security testing.


https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-smb-mult-vuln-KA9PK6D


0 views0 comments
GearBox-with-Logo_1080x1080.jpg

Simple. Powerful. Cybersecurity.

IPG’s GearBoxTM is the first cybersecurity tool designed to secure and protect the Internet of Things (IoT).